## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

Name:		phosh-mobile-settings
Version:	0.39.0
Release:	2%{?dist}
Summary:	Mobile Settings App for phosh and related components
License:	GPLv3+
URL:		https://gitlab.gnome.org/World/phosh/phosh-mobile-settings
Source0:	https://gitlab.gnome.org/World/phosh/phosh-mobile-settings/-/archive/v%{version}/phosh-mobile-settings-v%{version}.tar.gz

Patch1:		phosh-mobile-settings-0.39.0-unbundle-gmobile.patch
Patch2:		phosh-mobile-settings-0.39.0-register-extension-points-upfront.patch

ExcludeArch:	i686

BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	meson

BuildRequires:	pkgconfig(glib-2.0) >= 2.74
BuildRequires:	pkgconfig(gio-2.0) >= 2.74
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.74
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.74
BuildRequires:	pkgconfig(gmobile)
BuildRequires:	pkgconfig(gsound)
BuildRequires:	pkgconfig(gtk4) >= 4.12.5
BuildRequires:	pkgconfig(gtk4-wayland) >= 4.12.5
BuildRequires:	pkgconfig(phosh-plugins) >= 0.23.0
BuildRequires:	pkgconfig(wayland-client) >= 1.14
BuildRequires:	pkgconfig(wayland-protocols) >= 1.12
BuildRequires:	pkgconfig(libadwaita-1) >= 1.4
BuildRequires:	appstream-devel
BuildRequires:	lm_sensors-devel
BuildRequires:	desktop-file-utils

# Test dependencies
BuildRequires:	/usr/bin/dbus-run-session
BuildRequires:	feedbackd

Requires:		feedbackd
Requires:		phoc >= 0.30.0
Requires:		phosh >= 0.29.0

%description
Mobile Settings App for phosh and related components

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name}

%check
dbus-run-session sh <<'SH'
%meson_test
SH

%files -f %{name}.lang
%{_bindir}/phosh-mobile-settings
%dir %{_libdir}/phosh-mobile-settings
%{_libdir}/phosh-mobile-settings/plugins/libms-plugin-librem5.so
%{_datadir}/applications/mobi.phosh.MobileSettings.desktop
%{_datadir}/icons/hicolor/scalable/apps/mobi.phosh.MobileSettings.svg
%{_datadir}/icons/hicolor/symbolic/apps/mobi.phosh.MobileSettings-symbolic.svg
%{_datadir}/metainfo/mobi.phosh.MobileSettings.metainfo.xml

%doc README.md
%license COPYING

%changelog
## START: Generated by rpmautospec
* Mon May 20 2024 marcin <marcin@ipv8.pl> - 0.39.0-1
- Uncommitted changes

* Mon Apr 29 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.32.0-5
- Unretirement Releng Request: https://pagure.io/releng/issue/12084

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.32.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.32.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Oct 17 2023 torbuntu <torbuntu@fedoraproject.org> - 0.32.0-2
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
